#ifndef _DYNAMIXEL_SLAVE_UART_DMA_H
#define _DYNAXIXEL_SLAVE_UART_DMA_H

#ifdef __cplusplus
extern "C" {
#endif

#include "dynamixel.h"
#include "dynamixel2.h"
#include "stm32f4xx.h"

// public functions
void dyn_slave_init(void);
inline void dyn_slave_set_address(uint8_t id);
inline uint8_t dyn_slave_get_address(void);
inline void dyn_slave_set_return_delay(uint8_t delay);
inline void dyn_slave_set_return_level(uint8_t level);
inline uint8_t dyn_slave_get_return_level(void);
uint8_t dyn_slave_is_packet_ready(void);
TDynVersion  dyn_slave_get_inst_packet(uint8_t *packet);
void dyn_slave_send_status_packet(uint8_t error,uint16_t length, uint8_t *data);
void dyn_slave_resend_status_packet(uint8_t *packet);
void dyn_slave_reset(void);

#ifdef __cplusplus
}
#endif

#endif
